%global product_family Red Hat Enterprise Virtualization Hypervisor
%global product_release 7.0 (0)
%global mgmt_scripts_dir %{_sysconfdir}/node.d
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib())")}
%define is_f16 %(test "0%{?fedora}" == "016" && echo 1 || echo 0)
%define is_f20 %(test "0%{?fedora}" == "020" && echo 1 || echo 0)
%define is_min_f19 %(test "0%{?fedora}" -ge "019" && echo 1 || echo 0)
%define is_fedora_systemd %(test 0%{?fedora} -ne 0 && test %{?fedora} -ge 16 && echo 1 || echo 0)
%define is_rhel_systemd %(test 0%{?rhel} -ne 0 && test %{?rhel} -ge 7 && echo 1 || echo 0)
%define is_centos_systemd %(test 0%{?centos} -ne 0 && test %{?centos} -ge 7 && echo 1 || echo 0)
%define is_systemd %( test %{is_rhel_systemd} -eq 1 || test %{is_centos_systemd} = 1 || test %{is_fedora_systemd} = 1 && echo 1 || echo 0)
%define dracutdir %(test -e /usr/share/dracut && echo "/usr/share/dracut/modules.d" || echo "/usr/lib/dracut/modules.d")
%define is_el6 %(test 0%{?centos} -eq 06 || test 0%{?rhel} -eq 06 && echo 1 || echo 0)

%define with_igor 0
%global with_rhn 1
%global with_puppet 0

# The minimizer is only bundled on el6, because it is available on Fedora
# While image-minimizer is not in lorax, we'll need to ship it ourselfs
%define with_minimizer 1


%global dist .el6
#
# Use snapshots
# It is assumed that the commit referenced below exists in code.eng:
# https://code.engineering.redhat.com/gerrit/gitweb?p=ovirt-node.git
# If it exists, then a snapshot is created and used as a source.
#
%global use_snapshot 0
%global snapshot .20150109
%global commit d06b7c5925d2e36e2844f8a4bf282aaf3b2114db
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout %{?snapshot}git%{shortcommit}

#
# Increase this value with each build:
#
%global rhevh_build 3
# To be used after GA
#%global extra_release 0

Summary:        The %{product_family} daemons/scripts
Name:           ovirt-node
Version:        3.2.3
%if 0%{?use_snapshot}
Release:        %{rhevh_build}%{?checkout}%{?dist}%{?extra_release}
Source0:        https://code.engineering.redhat.com/gerrit/gitweb?p=%{name}.git;a=snapshot;h=%{commit};sf=tgz#/%{name}-%{version}%{?checkout}.tar.gz
%else
Release:        %{rhevh_build}%{?dist}%{-extra_release}
Source0:        %{name}-%{version}.tar.gz
%endif
Source1:        rhev-syslinux-vesa-splash.png
# Product key for RHN, from http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/plain/product_ids/rhev-3.5/
Source2:        rhev-x86_64-a52ba7adce1b-150.pem

# d/s git: https://code.engineering.redhat.com/gerrit/gitweb?p=ovirt-node.git
# Export patches from d/s git:
#   git --git-dir ~/work/rhev/gerrit/ovirt-node/.git format-patch -o ~/rhpkg/ovirt-node/ --start-number $((`ls *.patch | wc -l` + 1)) ovirt-node-3.2.1-LAST..rhev-3.5
# Update the patches in this specifle: PatchX and %patchX lines can automatically be updated by calling:
#   update-patches-in-spec.sh
#
# Patch1: ….patch
#Patch-marker
Patch1: 0001-config-Fix-logrotate-migration.patch
Patch2: 0002-Bump-to-ovirt-node-3.2.3-3.patch


License:        GPLv2+
Group:          Applications/System

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://www.ovirt.org/
BuildRequires:  python-setuptools python-devel dracut
BuildRequires:  automake autoconf
%if 0%{?is_systemd}
BuildRequires:  systemd-units
Requires:       systemd-units
Requires(post):     systemd-units
Requires(preun):    systemd-units
Requires:       glusterfs-client >= 2.0.1
Requires:       python-IPy
Requires:       system-release
%endif
%if ! 0%{?is_el6}
Requires:       python-augeas
%endif

BuildRequires:  python-lockfile

Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires:       augeas >= 0.3.5
Requires:       bridge-utils
Requires:       udev >= 147-2.34
Requires:       wget
Requires:       cyrus-sasl-gssapi cyrus-sasl >= 2.1.22
Requires:       iscsi-initiator-utils
Requires:       ntp
Requires:       nfs-utils
Requires:       bash
Requires:       chkconfig
Requires:       bind-utils
Requires:       qemu-img
Requires:       nc
Requires:       /usr/sbin/crond
Requires:       newt-python
Requires:       libuser-python >= 0.56.9
Requires:       dbus-python
Requires:       python-gudev
Requires:       python-urwid
Requires:       python-lockfile
Requires:       python-lxml
Requires:       PyPAM
Requires:       ethtool
Requires:       cracklib-python
Requires:       dracut
Requires:       openssh-server
%if %{is_el6}
Requires:       /bin/hostname
%else
Requires:       hostname
%endif
Requires:       tuned
%if %{is_min_f19}
Requires:       NetworkManager
%endif
%if %{?is_systemd}
Requires:       grub2
%else
Requires:       grub
# for applying patches in % post
Requires(post):       patch
%endif
Requires:       system-release

#libvirt dependencies
Requires: libvirt-python
%if 0%{?rhel} >= 7 || 0%{?fedora} >= 18
Requires: libvirt-daemon >= 1.0.2-1
Requires: libvirt-daemon-config-nwfilter
Requires: libvirt-daemon-driver-network
Requires: libvirt-daemon-driver-nwfilter
Requires: libvirt-daemon-driver-qemu
%else
%if 0%{?rhel}
Requires: libvirt >= 0.10.2-18.el6_4.4
%else
Requires: libvirt >= 1.0.2-1
%endif
%endif

Requires:       %{name}-selinux = %{version}-%{release}
Requires:       %{name}-branding-rhev = %{version}-%{release}
Requires:       %{name}-plugin-rhn = %{version}-%{release}

BuildArch:      noarch


%define app_root %{_datadir}/%{name}

%description
Provides a series of daemons and support utilities for hypervisor distribution.


%package recipe
Summary:        Recipes for building and running %{product_family} images
Group:          Applications/System
Requires:       pykickstart  >= 1.54
Obsoletes:      ovirt-node-tools <= 2.3.0-2

%define recipe_root %{_datadir}/ovirt-node-recipe

%description recipe
This package provides recipe (Kickstart files), client tools,
documentation for building and running an %{product_family} image.
This package is not to be installed on the %{product_family},
however on a development machine to help to build the image.


%package tools
Summary:        Tools for working with plugins on %{product_family} images
Group:          Applications/System
Requires:       livecd-tools >= 1:13.4.3
Requires:       ovirt-node-minimizer
Requires:       libselinux-python

%description tools
This package provides plugin tools for modifying and working with the
%{product_family} image.
This package is not to be installed on the %{product_family},
however on a development machine to work with the image.


%package plugin-ipmi
Summary:        Ipmi plugin for %{product_family} image
Group:          Applications/System
Requires:       ipmitool
Requires:       OpenIPMI

%description plugin-ipmi
This package provides a ipmi plugin for use with %{product_family} image.


%if 0%{?with_puppet}
%package plugin-puppet
Summary:        Puppet plugin for %{product_family} image
Group:          Applications/System
Requires:       puppet

%description plugin-puppet
This package provides a puppet plugin for use with %{product_family} image.

%post plugin-puppet
%if %{is_el6}
patch -d /usr/lib/ruby/site_ruby/1.8/facter -p0 < \
%else
patch -d /usr/share/ruby/vendor_ruby/facter -p0 < \
%endif
   %{app_root}/puppet-plugin/puppet-operatingsystem.rb.patch

cd /etc/puppet
patch -p0 << EOF
--- puppet.conf 2013-03-21 14:55:43.969130799 -0700
+++ puppet.conf.new 2013-03-21 14:56:02.690178578 -0700
@@ -1,4 +1,6 @@
 [main]
+#    server = ""
+#    certname = ""
     # The Puppet log directory.
     # The default value is '$vardir/log'.
     logdir = /var/log/puppet
EOF

%if %{is_el6}
echo 'files /var/lib/puppet' >> /etc/rwtab
%endif
%endif


%package plugin-snmp
Summary:        SNMP plugin for %{product_family} image
Group:          Applications/System
Requires:       net-snmp
Requires:       net-snmp-utils
Requires:       perl-libs

%define snmp_root %{_datadir}/%{name}

%description plugin-snmp
This package provides an snmp plugin tools for use with%{product_family} image.

%post plugin-snmp
%if 0%{?is_systemd}
systemctl enable snmpd.service
%else
chkconfig snmpd on
%endif

cat > /etc/snmp/snmpd.conf << \EOF_snmpd
master agentx
dontLogTCPWrappersConnects yes
rwuser root auth .1
EOF_snmpd


%package plugin-cim
Summary:        CIM plugin for %{product_family} image
Group:          Applications/System
Requires:       libvirt-cim
Requires:       sblim-sfcb

%description plugin-cim
This package provides a cim plugin for use with%{product_family} image.

%post plugin-cim
# Hack for rhbz#1018063
# The only time this is a problem is if we're upgrading from a pre-
# plugin version to a newer node. Manually specify the GID so we don't
# end up with a different one on the new image
if [[ ! `grep -E '^cim' /etc/group` ]]; then
    # Create a group
    if [[ ! `grep -E '^.*?:.*?:501:' /etc/group` ]]; then
        # gid 501 isn't taken
        groupadd -g 501 cim
    else
        # Take whatever GID we get -- probably no conflicts
        groupadd cim
    fi
fi
useradd -g cim -G sfcb -s /sbin/nologin cim
%if ! 0%{?is_systemd}
/sbin/chkconfig --add ovirt-cim
/sbin/chkconfig ovirt-cim on
%else
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
    /bin/systemctl enable ovirt-cim >/dev/null 2>&1 || :
fi
%endif
#CIM related changes
# set read-only
echo "readonly = true;" > /etc/libvirt-cim.conf

#cleanup tmp directory from cim setup
rm -rf /tmp/cim_schema*

%if 0%{?with_rhn}
%package plugin-rhn
Summary:        RHN plugin for %{product_family} image
Group:          Applications/System
Requires:       subscription-manager
Requires:       rhn-virtualization-host
Requires:       rhn-setup
Requires:       virt-who

%description plugin-rhn
This package provides the necessary rhn plugin tools for use with%{product_family} image.
%endif

#
# SELinux subpackage
#
%global selinux_modulename ovirt
%global selinux_variants targeted
%if %{is_el6}
 %global selinux_policyver %(%{__sed} -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' /usr/share/selinux/devel/policyhelp || echo 0.0.0)
%else
%global selinux_policyver %_selinux_policy_version
%endif

%package selinux
Summary:          SELinux policy module supporting %{product_family}
Group:            System Environment/Base
BuildRequires:    policycoreutils, checkpolicy
BuildRequires:    selinux-policy-devel >= %{selinux_policyver}
BuildRequires:    selinux-policy-doc, hardlink
%if "%{selinux_policyver}" != ""
Requires:         selinux-policy >= %{selinux_policyver}
%endif
Requires:         %{name} = %{version}-%{release}
Requires:         selinux-policy-base
Requires(post):   policycoreutils
Requires(postun): policycoreutils

%description selinux
SELinux policy module supporting %{product_family}

%post selinux
for selinuxvariant in %{selinux_variants}
do
  /usr/sbin/semodule -s ${selinuxvariant} -i \
    %{_datadir}/selinux/${selinuxvariant}/%{selinux_modulename}.pp
done
# Is this to greedy?
/sbin/restorecon -R / || :

# set SELinux booleans
# rhbz#502779 restrict certain memory protection operations
#     keep allow_execmem on for grub
# rhbz#642209 allow virt images on NFS
/usr/sbin/setsebool -P allow_execstack=0 \
                       virt_use_nfs=1 \
                       virt_use_sanlock=1 \
                       sanlock_use_nfs=1


%postun selinux
if [ $1 -eq 0 ] ; then
  for selinuxvariant in %{selinux_variants}
  do
     /usr/sbin/semodule -s ${selinuxvariant} -r %{selinux_modulename}
  done
  # Is this to greedy?
  /sbin/restorecon -R / &> /dev/null || :
fi

# FIXME what about semanage?


#
# Igor service subpackage
#
%if 0%{?with_igor}
%package plugin-igor-slave
Summary:        Igor slave plugin for %{product_family}
Group:          Applications/System

%if 0%{?is_systemd}
BuildRequires:  systemd-units
Requires:       systemd
%else
BuildRequires:  initscripts
Requires(post): chkconfig
%endif

# We need python-uinput for TUI tests
Requires:       python-uinput


%description plugin-igor-slave
This package provides an igor service for %{product_family}. This service
is responsible for running testcase offered by an igor server.


%post plugin-igor-slave
%if 0%{?is_systemd}
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
    /bin/systemctl enable ovirt-node-igor-slave.service >/dev/null 2>&1 || :
fi
%else
/sbin/chkconfig --add ovirt-node-igor-slave >/dev/null 2>&1 || :
%endif

%preun plugin-igor-slave
%if ! 0%{?is_systemd}
if [ $1 = 0 ] ; then
    /sbin/service ovirt-node-igor-slave stop >/dev/null 2>&1
    /sbin/chkconfig --del ovirt-node-igor-slave
fi
%else
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable ovirt-node-igor-slave.service > /dev/null 2>&1 || :
    /bin/systemctl stop ovirt-node-igor-slave.service > /dev/null
fi
%endif

# </Igor service subpackage>
%endif


#
# minimizer subpackage
#
%if 0%{?with_minimizer}
%package minimizer
Summary:        The image-minimizer tool
Group:          Applications/System

%description minimizer
This package ships the image-minimizer tool.
This tool is used to remove unneeded rpms and files from a filesystem tree.

# </minimizer subpackage>
%endif


#
# oVirt Brand subpackage
#
%package branding-rhev
Summary:  oVirt branding for oVirt Node
Group:    Applications/System

%description branding-rhev
This package contains the files to let Node appear in the oVirt look.


%prep
%if 0%{?use_snapshot}
%setup -q -n"%{name}-%{?shortcommit}"
%else
%setup -q -n"%{name}-%{version}"
%endif

#%patch1 -p1
#%patch-marker
%patch1 -p1
%patch2 -p1


%build
%if 0%{?use_snapshot}
./autogen.sh
%else
aclocal
autoheader || :
automake --add-missing
autoconf
%endif
%configure --with-image-minimizer
make

# Build SELinux policy module
cd semodule
for selinuxvariant in %{selinux_variants}
do
    %{__make} NAME=${selinuxvariant} \
        -f %{?policy_devel_root}%{_datadir}/selinux/devel/Makefile
    mv -v %{selinux_modulename}.pp %{selinux_modulename}.pp.${selinuxvariant}
done
cd -


%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks/pre-upgrade
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks/post-upgrade
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks/rollback
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks/on-boot
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks/on-changed-boot-image

# replace logo
%{__install} -p -m0644 %{SOURCE1} %{buildroot}%{app_root}/syslinux-vesa-splash.jpg


%if 0%{?rhel}
# dracut patches for rhel6
%{__install} -p -m0644 dracut/dracut-7ed4ff0636c74a2f819ad6e4f2ab4862.patch %{buildroot}%{app_root}
%endif

# Add some files needed on el6
%if 0%{?is_el6}
%{__install} -p -m0644 scripts/augeas.py %{buildroot}%{python_sitelib}
%endif

# Install SELinux policy module
cd semodule
%{__install} -d %{buildroot}%{_datadir}/selinux
for selinuxvariant in %{selinux_variants}
do
    %{__install} -d %{buildroot}%{_datadir}/selinux/${selinuxvariant}
    %{__install} -p -m 644 %{selinux_modulename}.pp.${selinuxvariant} \
               %{buildroot}%{_datadir}/selinux/${selinuxvariant}/%{selinux_modulename}.pp
done
cd -

/usr/sbin/hardlink -cv %{buildroot}%{_datadir}/selinux

# Keep old name for backwards compatibilitiy reasons
ln -vfs %{_bindir}/ovirt-node-config-password %{buildroot}%{_libexecdir}/ovirt-config-password

# Remove igor stuff if not needed
%if ! 0%{?with_igor}
%{__rm} -vf %{buildroot}/%{_libexecdir}/ovirt-node-igor-slave \
            %{buildroot}/%{_unitdir}/ovirt-node-igor-slave.service \
            %{buildroot}/%{_initrddir}/ovirt-node-igor-slave
%endif

# Remove minimizer if unneeded
%if ! 0%{?with_minimizer}
%{__rm} -vf %{buildroot}/%{_sbindir}/image-minimizer
%endif

# Remove augeas.py if not needed
%if ! 0%{?is_el6}
%{__rm} -vf %{buildroot}/%{python_sitelib}/augeas*
%endif

#
# Branding related stuff
#
# Add product certficate
mkdir -p %{buildroot}/%{_sysconfdir}/pki/product/
%{__install} -p -m0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/pki/product/

# Branding update to be RHEV
sed -i \
  -e "/^TUI_BRAND_COLOR/ s/blue/red/" \
  -e "/^[BR]OOT_SIZE/ s/[0-9]\+/256/" \
  %{buildroot}/%{python_sitelib}/ovirt/node/presets.py
cat %{buildroot}/%{python_sitelib}/ovirt/node/presets.py

# Remove puppet stuff, if not needed
%if ! 0%{?with_puppet}
rm -vfr %{buildroot}/%{python_sitelib}/ovirt/node/setup/puppet/ \
%{buildroot}/%{_localstatedir}/lib/puppet/facts/ovirt.rb \
%{buildroot}/%{_sysconfdir}/ovirt-plugins.d/puppet.minimize \
%{buildroot}/%{_sysconfdir}/ovirt-commandline.d/puppet-args \
%{buildroot}/%{app_root}/puppet-plugin/puppet-operatingsystem.rb.patch \
%{buildroot}/%{_sysconfdir}/ovirt-config-boot.d/puppet_autoinstall.py*
%endif



%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --level 35 netconsole off
%if ! 0%{?is_systemd}
/sbin/chkconfig --add ovirt-awake
/sbin/chkconfig --add ovirt-early
/sbin/chkconfig --add ovirt-firstboot
/sbin/chkconfig --add ovirt
/sbin/chkconfig --add ovirt-post
/sbin/chkconfig --add ovirt-kdump
%else
if [ $1 -eq 1 ]; then
    #Initial installation
    /bin/systemctl daemon-relad >/devnull 2>&1 || :
    /bin/systemctl --no-reload enable ovirt-firstboot.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload enable ovirt.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload enable ovirt-post.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload enable ovirt-early.service > /dev/null 2>&1 || :
fi
%endif
# workaround for imgcreate/live.py __copy_efi_files
if [ ! -e /boot/grub/splash.xpm.gz ]; then
  cp %{app_root}/grub-splash.xpm.gz /boot/grub/splash.xpm.gz
fi
%if ! 0%{?is_systemd}
# apply dracut fixes not in rhel6
# rhbz#683330
# dracut.git commits rediffed for dracut-004-336.el6
patch -d /usr/share/dracut/ -p0 < %{app_root}/dracut-7ed4ff0636c74a2f819ad6e4f2ab4862.patch

%endif

#Disable X11Forwarding for sshd
sed -i -e 's/X11Forwarding yes/X11Forwarding no/' /etc/ssh/sshd_config

# release info for dracut to pick it up into initramfs
sed -i "s/^.* release/%{product_family} release/ ; s/(.*\$/(0)/" /etc/system-release

# Remove minimizer if not needed
%if ! 0%{?with_minimizer}
rm -vf %{buildroot}/%{_sbindir}/image-minimizer
%endif

# Remove igor stuff if not needed
%if ! 0%{?with_igor}
rm -vf %{buildroot}/etc/rc.d/init.d/ovirt-node-igor-slave \
       %{buildroot}/usr/libexec/ovirt-node-igor-slave
%endif



%pre
#
# ovirt-node must not be upgraded.
# It is intended to only be installed.
# Upgrades happen on an image basis
#
if [[ $1 -eq 2 ]] ; then
    echo "Upgrade ovirt-node as a package is not supported."
    exit 42
fi


%preun
#
# ovirt-node must not be uninstalled.
# It is intended to only be installed.
# Upgrades happen on an image basis
#
echo "Upgrade/Uninstalling ovirt-node as a package is not supported."
exit 42

# Keeping the rest if it is possible one day
/sbin/chkconfig --level 35 netconsole off
%if ! 0%{?is_systemd}
if [ $1 = 0 ] ; then
    /sbin/service ovirt-early stop >/dev/null 2>&1
    /sbin/service ovirt-firstboot stop >/dev/null 2>&1
    /sbin/service ovirt stop >/dev/null 2>&1
    /sbin/service ovirt-post stop >/dev/null 2>&1
    /sbin/chkconfig --del ovirt-awake
    /sbin/chkconfig --del ovirt-early
    /sbin/chkconfig --del ovirt-firstboot
    /sbin/chkconfig --del ovirt
    /sbin/chkconfig --del ovirt-post
fi
%else
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable ovirt-firstboot.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable ovirt.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable ovirt-post.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable ovirt-early.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable ovirt-kdump.service > /dev/null 2>&1 || :

    /bin/systemctl stop ovirt.service > /dev/null
    /bin/systemctl stop ovirt-post.service > /dev/null
    /bin/systemctl stop ovirt-early.service > /dev/null
    /bin/systemctl stop ovirt-kdump.service > /dev/null
    /bin/systemctl stop ovirt-cim.service > /dev/null
fi
%endif

%preun plugin-cim
%if ! 0%{?is_systemd}
if [ $1 = 0 ] ; then
    /sbin/service ovirt-cim stop >/dev/null 2>&1
    /sbin/chkconfig --del ovirt-cim
fi
%else
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable ovirt-cim.service > /dev/null 2>&1 || :
    /bin/systemctl stop ovirt-cim.service > /dev/null
fi
%endif


#
# FILES
#
%files recipe
%defattr(0644,root,root,0755)
%doc README COPYING
%{recipe_root}/*.ks
%defattr(0755,root,root,0755)
%{_mandir}/man8/node-creator.8.gz
%{_sbindir}/node-creator


%files tools
%{_sbindir}/edit-node
%{_sbindir}/testable-node
%{_mandir}/man8/edit-node.8.gz


%files plugin-ipmi
%{python_sitelib}/ovirt/node/setup/ipmi/


%if 0%{?with_puppet}
%files plugin-puppet
%{python_sitelib}/ovirt/node/setup/puppet/
%{_localstatedir}/lib/puppet/facts/ovirt.rb
%{_sysconfdir}/ovirt-plugins.d/puppet.minimize
%{_sysconfdir}/ovirt-commandline.d/puppet-args
%{app_root}/puppet-plugin/puppet-operatingsystem.rb.patch
%{_sysconfdir}/ovirt-config-boot.d/puppet_autoinstall.py*
%endif


%files plugin-snmp
%{python_sitelib}/ovirt_config_setup/snmp.py*
%{python_sitelib}/ovirt/node/setup/snmp/__init__.py*
%{python_sitelib}/ovirt/node/setup/snmp/snmp_model.py*
%{python_sitelib}/ovirt/node/setup/snmp/snmp_page.py*
%{_sysconfdir}/ovirt-plugins.d/snmp.minimize
%{_sysconfdir}/ovirt-config-boot.d/snmp_autoinstall.py*


%files plugin-cim
%{python_sitelib}/ovirt_config_setup/cim.py*
%{python_sitelib}/ovirt/node/setup/cim/
#%{python_sitelib}/ovirt/node/setup/cim/__init__.py*
#%{python_sitelib}/ovirt/node/setup/cim/cim_model.py*
#%{python_sitelib}/ovirt/node/setup/cim/cim_page.py*
%{_sysconfdir}/ovirt-plugins.d/cim.minimize
%{_sysconfdir}/ovirt-commandline.d/cim-args
%{_sysconfdir}/ovirt-config-boot.d/cim_autoinstall.py*
%if 0%{?is_systemd}
%{_unitdir}/ovirt-cim.service
%else
%{_initrddir}/ovirt-cim
%endif


%if 0%{?with_igor}
%files plugin-igor-slave
%{_libexecdir}/ovirt-node-igor-slave
%if 0%{?is_systemd}
%{_unitdir}/ovirt-node-igor-slave.service
%else
%{_initrddir}/ovirt-node-igor-slave
%endif
%endif


%if 0%{?with_rhn}
%files plugin-rhn
%{python_sitelib}/ovirt/node/setup/rhn/__init__.py*
%{python_sitelib}/ovirt/node/setup/rhn/rhn_model.py*
%{python_sitelib}/ovirt/node/setup/rhn/rhn_page.py*
%{_sysconfdir}/ovirt-commandline.d/rhn_autoinstall_args
%{_sysconfdir}/ovirt-config-boot.d/rhn_autoinstall.py*
%endif


%files selinux
%defattr(-,root,root,0755)
%doc semodule/*.fc semodule/*.te
%{_datadir}/selinux/*/%{selinux_modulename}.pp

%if 0%{?with_minimizer}
%files minimizer
%{_sbindir}/image-minimizer
%endif


%files branding-rhev
%{python_sitelib}/ovirt/node/presets.py*
%{_sysconfdir}/pki/product/rhev-*.pem


%files
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/default/ovirt

%config(noreplace) %{_sysconfdir}/logrotate.d/ovirt-node
%config(noreplace) %{_sysconfdir}/cron.d/ovirt-logrotate

%{mgmt_scripts_dir}
%dir %{_sysconfdir}/ovirt-config-boot.d
%{_sysconfdir}/ovirt-config-boot.d/local_boot_trigger.sh

%{_sysconfdir}/ovirt-node/logging.conf
%{_sysconfdir}/ovirt-node/logging.debug.conf
%{_sysconfdir}/sysconfig/modules/vlan.modules
%{_sysconfdir}/modprobe.d/ovirt-qla4xxx.conf
%{_sysconfdir}/modprobe.d/bonding.conf
%{_libexecdir}/ovirt-node/hooks

%doc COPYING
# should be ifarch i386
%{app_root}/grub-splash.xpm.gz
# end i386 bits
%{app_root}/syslinux-vesa-splash.jpg
%if 0%{?rhel}
%{app_root}/dracut-7ed4ff0636c74a2f819ad6e4f2ab4862.patch
%endif

%{dracutdir}/91ovirtnode
%{_sysconfdir}/dracut.conf.d/ovirt-dracut.conf
%{_libexecdir}/ovirt-auto-install
%{_libexecdir}/ovirt-config-password
%{_libexecdir}/ovirt-config-uninstall
%{_libexecdir}/ovirt-functions
%{_libexecdir}/ovirt-admin-shell
%{_libexecdir}/ovirt-init-functions.sh
%{_sbindir}/persist
%{_sbindir}/unpersist
%{_sbindir}/ovirt-node-upgrade
%{_sbindir}/ovirt-node-register
%{python_sitelib}/ovirt_config_setup
%exclude %{python_sitelib}/ovirt_config_setup/cim.py*
%exclude %{python_sitelib}/ovirt_config_setup/snmp.py*
%{python_sitelib}/ovirtnode
%if 0%{?is_el6}
%{python_sitelib}/augeas*
%endif
%{_sysconfdir}/ovirt-early.d
%dir %{_sysconfdir}/ovirt-commandline.d
%if 0%{?is_systemd}
%{_unitdir}/ovirt.service
%{_unitdir}/ovirt-awake.service
%{_unitdir}/ovirt-firstboot.service
%{_unitdir}/ovirt-post.service
%{_unitdir}/ovirt-early.service
%{_unitdir}/ovirt-kdump.service
%else
%{_initrddir}/ovirt-awake
%{_initrddir}/ovirt-early
%{_initrddir}/ovirt-firstboot
%{_initrddir}/ovirt
%{_initrddir}/ovirt-post
%{_initrddir}/ovirt-kdump
%endif
# Files related to the new TUI
%{python_sitelib}/ovirt/__init__.py*
%{python_sitelib}/ovirt/node/*.py*
%exclude %{python_sitelib}/ovirt/node/presets.py*
%{python_sitelib}/ovirt/node/ui/*.py*
%{_datadir}/locale/*/LC_MESSAGES/ovirt_node.mo
%{python_sitelib}/ovirt/node/utils/*.py*
%{python_sitelib}/ovirt/node/utils/fs/*.py*
%{python_sitelib}/ovirt/node/tools/*.py*
%{python_sitelib}/ovirt/node/tools/*.xsl
%{python_sitelib}/ovirt/node/config/*.py*
%{python_sitelib}/ovirt/node/setup/*.py*
%{python_sitelib}/ovirt/node/setup/core/*.py*
%{python_sitelib}/ovirt/node/installer/*.py*
%{python_sitelib}/ovirt/node/installer/core/*.py*
%exclude %{python_sitelib}/ovirt/node/setup/snmp/*.py*
%exclude %{python_sitelib}/ovirt/node/setup/cim/*.py*
%{_bindir}/ovirt-node-setup
%{_bindir}/ovirt-node-installer
%{_bindir}/ovirt-node-doc
%{_bindir}/ovirt-node-features
%{_bindir}/ovirt-node-config
%{_bindir}/ovirt-node-config-password


%changelog
* Wed May 27 2015 Ryan Barry <rbarry@redhat.com> - 3.2.3-3
- Fix logrotate migration rhbz#1223717

* Wed May 20 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.3-2
- Rebuild with the correct sources
- Fix config migration rhbz#1219808
- Fix ovirt-node-upgrade return values rhbz#1219811
- Fix plymouth splash screen message rhbz#1219809
- Fix Output of persist and unpersist rhbz#1219810

* Fri May 08 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.3-1
- Fix config migration rhbz#1219808
- Fix ovirt-node-upgrade return values rhbz#1219811
- Fix plymouth splash screen message rhbz#1219809
- Fix Output of persist and unpersist rhbz#1219810

* Thu Apr 02 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.2-3
- Allow ovirt_t unconfined_t transition

* Thu Apr 02 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.2-2
- Run hooks in unconfined_t

* Fri Mar 27 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.2-1
- Small SELinux rule update
- Fix positioning of hooks to prevent races
- Fix ownership of persisted files

* Fri Mar 13 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-11
- Fix service deadlock

* Thu Mar 12 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-10
- Fix SSH key owner change
- Add some SELinux rules

* Tue Mar 03 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-9
- Fix sos patch

* Tue Mar 03 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-8
- Fix sos and NFS

* Wed Feb 25 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-7
- Fix EFI on RHEL 7.1 rhbz#1192786
- Fix SSH open RHEL 7.1 rhbz#1192523
- Disable the puppet plugin

* Thu Jan 22 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-6
- Fix RHN cache
- Synchronize product name between banner and initrd
- Resolves: rhbz#1086268

* Mon Jan 19 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-5
- Fix RHN cache
- Fix initramfs regeneration
- Fix product name in initrd
- Fix os-release in initrd
- Resolves: rhbz#1086268

* Wed Jan 14 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-4
- Run autotools
- Resolves: rhbz#1086268

* Wed Jan 14 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-3
- Fix dracut dmsquash check patch
- Resolves: rhbz#1086268

* Wed Jan 14 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-2
- Fix password setting on iSCSI root
- Fix logrotate config for syslog files
- Fix splashsreen product text
- Include RHEV product key
- Resolves: rhbz#1086268

* Tue Jan 13 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.2.1-1
- Base on latest upstream release
- Include dmsquash-live in default dracut modules
- Remove rd.lvm=0 from default kernel arguments
- Resolves: rhbz#1086268

* Fri Jan 09 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.1.0-0.42.20150109gitd06b7c5
- Add selinux rule for CIM
- Resolves: rhbz#1086268

* Thu Jan 08 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.1.0-0.41.20150108giteeab4fd
- Restore plymouth on el7
- Remove  redundant patch on RHEL 6
- Fix local kdump configuration
- Add basic video boot entries
- Enable libvirt by default
- Resolves: rhbz#1086268

* Mon Jan 05 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.1.0-0.40.20150105git69f34a6
- Fix wwid detection
- Remove partprobe/kpartx calls
- Resolves: rhbz#1086268

* Mon Jan 05 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.1.0-0.39.20150105gitb784105
- Harden wwid detection
- Resolves: rhbz#1086268

* Mon Jan 05 2015 Fabian Deutsch <fdeutsch@redhat.com> - 3.1.0-0.38.20150105git1e12f31
- Adjustments for different CCISS handling
- Only give mpath.wwid once on cmdline fix
- Drop custom libvirt upstart configuration
- Fix auto-installation
- Resolves: rhbz#1086268

* Thu Dec 18 2014 Fabian Deutsch <fdeutsch@redhat.com> - 3.1.0-0.37.20141218gitcf277e1
- Fix password storage
- Fix multipathed root device with wwid in kernel cmdline
- Resolves: rhbz#1086268

* Wed Dec 17 2014 Fabian Deutsch <fdeutsch@redhat.com> - 3.1.0-0.36.20141217git8583cc8
- Make multipath fix more robust
- Reduce incorrect partprobe usage
- Fix ata reinstall
- Fix rootfs size label in the installer
- Resolves: rhbz#1086268

* Tue Dec 16 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.35.20141210git0c9c493
- Set root size to 256 MB again
- Resolves: rhbz#1086268

* Thu Dec 11 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 3.1.0-0.34.20141210git0c9c493
- Don't write multipath.conf
- Resolves: rhbz#1086268

* Wed Dec 10 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 3.1.0-0.33.20141210git0c9c493
- spec/recipe: Only update mpath.conf once
- Resolves: rhbz#1086268

* Thu Dec 04 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.32.20141204gitb8c5332
- Further kdump and rhn fixes
- Remove Beta keyword
- Resolves: rhbz#1086268

* Wed Dec 03 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.31.20141203gite20d934
- Fix snapshot date
- Resolves: rhbz#1086268

* Wed Dec 03 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.30.20141203gite20d934
- Increase rootfs size to 4.3 GB rhbz#1169865
- Resolves: rhbz#1086268

* Wed Dec 03 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.29.20141203gite20d934
- Fix stack trace at login
- Add more multipath fixes
- Fix problems with the serial console
- KDump page fix
- Resolves: rhbz#1086268

* Wed Nov 26 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.28.20141126git25ce016
- Fix reinstallation on RHEL 7
- Update augeas.py
- SELinux module updates
- Change RHN page layout and sam usage
- Fix terminal detection
- Fix NFS kdump usage
- Fix CD-Rom based installations
- New snapshot to address RHEL 7 issues rhbz#1086268

* Wed Nov 19 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.27.20141119git24e087e
- Udev fix for RHEL 7.0
- New snapshot to address RHEL 7 issues rhbz#1086268

* Fri Nov 14 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.25.20141114git52fa758
- Fix udev fix
- New snapshot to address RHEL 7 issues rhbz#1086268

* Fri Nov 07 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.25.20141107gitf6dc7b9
- Fix file persistence issue on RHEL 7
- New snapshot to address RHEL 7 issues rhbz#1086268

* Tue Nov 04 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.24.20141104git70ba2b0
- New snapshot to address RHEL 7 issues rhbz#1086268

* Tue Oct 14 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.23.20141008git96b7ca3
- Add Beta keyword to product name
- New snapshot to address RHEL 7 issues rhbz#1086268

* Fri Oct 10 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.22.20141008git96b7ca3
- Fix upgrade prompt rhbz#1144296
- Fix installation on real hardware rhbz#1150377
- Fix SELinux labels of /var/log rhbz#1128065
- Fix RHN page size on 80x24 rhbz#1065261
- Fix serial console installation rhbz#1150918
- Fix libvirtd logging rhbz#1133971
- Fix kdump start rhbz#1095140
- New snapshot to address RHEL 7 issues rhbz#1086268

* Wed Oct 08 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.21.20141008git3d9ced29
- Add more SELinux rules
- Fix iptables issue rhbz#1150328
- Fix weipfs usage issue rhbz#1150377
- New snapshot to address RHEL 7 issues rhbz#1086268

* Mon Oct 06 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.20.20141006gitc421e041
- Add missing libvirtd service
- Fix more SELinux denials
- Address an NFS path issue
- New snapshot to address RHEL 7 issues rhbz#1086268

* Wed Oct 01 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.19.20141001gitecafa88
- LVM fix rhbz#1147217
- Further SELinux updates
- New snapshot to address RHEL 7 issues rhbz#1086268

* Wed Oct 01 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.18.20141001git1cb6229
- SELinux updates rhbz#1095140
- New snapshot to address RHEL 7 issues rhbz#1086268

* Thu Sep 25 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.17.20140925git29c3403
- Fix persistence rhbz#1120650
- New snapshot to address RHEL 7 issues rhbz#1086268

* Tue Sep 23 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.16.20140923git0b56d81
- RHEV 3.5 Beta2
- Add RHEV product key
- Fix branding adjustments
- New snapshot to address RHEL 7 issues rhbz#1086268


* Tue Sep 23 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.15.20140923git0b56d81
- RHEV 3.5 Beta2
- Fix some SELinux denials and installation problems on RHEL 7
- New snapshot to address RHEL 7 issues rhbz#1086268

* Fri Sep 19 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.14.20140918gitdda78cb
- Add RHEV branding rhbz#1086268

* Thu Sep 18 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.13.20140918gitdda78cb
- New snapshot to address RHEL 7 issues rhbz#1086268

* Thu Sep 18 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.12.20140918gitabadb59
- New snapshot to address RHEL 7 issues rhbz#1086268

* Mon Sep 15 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.11.20140914git7a2d91e
- New snapshot to address RHEL 7 issues rhbz#1086268

* Wed Sep 10 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.10.20140910gitf083181
- New snapshot to address RHEL 7 issues rhbz#1086268

* Thu Sep 04 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.10.20140904gitb828c37
- New snapshot to address RHEL 7 issues rhbz#1086268

* Fri Aug 15 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.9.20140814gitee21d9b
- New snapshot to address RHEL 7 issues rhbz#1086268

* Thu Aug 14 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.8.20140814git75c4e4c
- New snapshot to address RHEL 7 issues rhbz#1086268

* Wed Aug 06 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.7.20140731gitef5c5cb
- New snapshot to address RHEL 7 issues rhbz#1086268

* Thu Jul 31 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.6.20140731git2c8e71f
- New snapshot to address RHEL 7 issues rhbz#1086268

* Fri Jul 11 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.5.20140711git7197118
- New snapshot to address RHEL 7 issues rhbz#1086268

* Tue Jul 08 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.3.20140707gitaea58eb
- New snapshot to address RHEL 7 issues rhbz#1086268
- Specfile fix to adjust rpm name

* Tue Jul 08 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.3_master.20140707gitaea58eb
- New snapshot to address RHEL 7 issues rhbz#1086268
- Added new files/tools
- Improved some libvirt dependencies
- Added some conditional requires for RHEL 7
- Conditional inclusion of augeas

* Thu Apr 24 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.2.20140410gitbfdfc00
- New snapshot to address RHEL 7 issues rhbz#1086268

* Thu Apr 10 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.1.0-0.1.git20140410.e3d95e8
- Initial rebase to unreleased 3.1.0 for RHEL-7.0 builds rhbz#1086268
